Decline a payment request
curl --request POST \
--url https://api.plane.com/v1/payment-requests/{id}/decline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"approver": "<string>",
"reason": "<string>"
}
'import requests
url = "https://api.plane.com/v1/payment-requests/{id}/decline"
payload = {
"approver": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({approver: '<string>', reason: '<string>'})
};
fetch('https://api.plane.com/v1/payment-requests/{id}/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ptr_ogdEjSnSqNYxtW1sd3pC3hFX",
"worker": "wr_anqRSFcK36ie85",
"amount": "1200.00",
"currency": "EUR",
"status": "declined",
"reference": "EV1S3GDM",
"note": "Payment for July",
"period": {
"starts": "2023-07-01",
"ends": "2023-07-31"
},
"documents": [],
"approvals": ["appr_YzmQ5oxQE78bDV3fZwEU3vGr"],
"payment": null
}
Payment Requests
Decline a payment request
POST
/
v1
/
payment-requests
/
{id}
/
decline
Decline a payment request
Declines a payment request and sends it back to the worker.
Parameters
string
required
The ID of the payment request you are declining.
string
required
The UUID of the manager declining this request.
string
required
A description of why the request was declined, visible to the worker.
Returns
Returns the Payment Request object with a declined status.{
"id": "ptr_ogdEjSnSqNYxtW1sd3pC3hFX",
"worker": "wr_anqRSFcK36ie85",
"amount": "1200.00",
"currency": "EUR",
"status": "declined",
"reference": "EV1S3GDM",
"note": "Payment for July",
"period": {
"starts": "2023-07-01",
"ends": "2023-07-31"
},
"documents": [],
"approvals": ["appr_YzmQ5oxQE78bDV3fZwEU3vGr"],
"payment": null
}
Was this page helpful?
⌘I